View Issue Details

IDProjectCategoryView StatusLast Update
0001048FreeCADBugpublic2013-09-03 12:42
Reporterkeithsloan52Assigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001048: Problem exporting (Meshes) to STL & STEP.
DescriptionThe attached file does not export to STL or STEP correctly.
It is reproducible by exporting the file and then re importing and then is obviously different from original.

Seems to be a problem with meshes, as if export to OpenSCAD CSG and the import in OpenSCAD what is created is again different from original and exportCSG creates OpenSCAD definition from a mesh.

Original file is one of normanc's
TagsNo tags attached.

Relationships

related to 0000861 closedwmayer Meshing algorithm creates wrong shape 

Activities

2013-03-08 16:17

 

Roue3v3.fcstd (Attachment missing)

normandc

2013-03-23 16:28

manager   ~0003001

This is absolutely not true.

I downloaded the Roue3v3.fcstd file. I exported it to .stp and .stl. When importing back those two files, the result is exactly as it should.

This bug, as it is formulated, is invalid.

And BTW when posting a bug you should ALWAYS attach your About FreeCAD info otherwise the report is next to useless.

OS: Ubuntu 12.04.2 LTS
Platform: 64-bit
Version: 0.13.1830 (Git)
Branch: releases/FreeCAD-0-13
Hash: ec7636d7aaf2612e9b43cff5d6a424037d53e505
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0

2013-03-23 16:31

 

Roue3v3_normandc.stl (Attachment missing)

2013-03-23 16:31

 

Roue3v3_normandc.stp (Attachment missing)

keithsloan52

2013-03-23 17:28

developer   ~0003002

That is very strange. When I try it now it works. Unfortunately I deleted the stl and stp files I created previously in a tidy up. Not aware of any updates to my FreeCAD software

OS: Ubuntu 10.04.4 LTS
Platform: 32-bit
Version: 0.13.1830 (Git)
Branch: releases/FreeCAD-0-13
Hash: ec7636d7aaf2612e9b43cff5d6a424037d53e505
Python version: 2.6.5
Qt version: 4.6.2
Coin version: 3.1.2
SoQt version: 1.4.2a
OCC version: 6.3.0

2013-03-23 19:50

 

test.stl (Attachment missing)

keithsloan52

2013-03-23 19:50

developer   ~0003003

Okay I found the stl file in the wastebin and have uploaded it. Its called test.stl and is different from if I do it again.

wmayer

2013-09-03 12:42

administrator   ~0003540

git show 71958f3

Issue History

Date Modified Username Field Change
2013-03-08 16:17 keithsloan52 New Issue
2013-03-08 16:17 keithsloan52 File Added: Roue3v3.fcstd
2013-03-23 16:28 normandc Note Added: 0003001
2013-03-23 16:31 normandc File Added: Roue3v3_normandc.stl
2013-03-23 16:31 normandc File Added: Roue3v3_normandc.stp
2013-03-23 17:28 keithsloan52 Note Added: 0003002
2013-03-23 19:50 keithsloan52 File Added: test.stl
2013-03-23 19:50 keithsloan52 Note Added: 0003003
2013-09-03 12:41 wmayer Relationship added related to 0000861
2013-09-03 12:41 wmayer Status new => assigned
2013-09-03 12:41 wmayer Assigned To => wmayer
2013-09-03 12:42 wmayer Note Added: 0003540
2013-09-03 12:42 wmayer Status assigned => closed
2013-09-03 12:42 wmayer Resolution open => fixed
2013-09-03 12:42 wmayer Fixed in Version => 0.14